package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponTemplateQueryRequest struct {
	/*
	   系统自动生成     */
	ParamCouponTemplateQueryRequest *domain.AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest `json:"param_coupon_template_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponTemplateQueryRequest) SetParamCouponTemplateQueryRequest(v domain.AlibabaWdkCouponTemplateQueryCouponTemplateQueryRequest) *AlibabaWdkCouponTemplateQueryRequest {
	s.ParamCouponTemplateQueryRequest = &v
	return s
}

func (req *AlibabaWdkCouponTemplateQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamCouponTemplateQueryRequest != nil {
		paramMap["param_coupon_template_query_request"] = util.ConvertStruct(*req.ParamCouponTemplateQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkCouponTemplateQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
